View Issue Details

IDProjectCategoryView StatusLast Update
0005565DarkRadiantGUIpublic29.03.2021 04:01
Reportergreebo Assigned Togreebo  
PrioritynormalSeveritynormalReproducibilityhave not tried
Status resolvedResolutionfixed 
Product Version2.11.0 
Target Version2.12.0Fixed in Version2.12.0 
Summary0005565: Material Editor: Save/Export Handling
DescriptionChild issue of 0005532: The material manager needs to be able to export materials that have been modified. Export needs to happen to a defined location, respecting the mod setup.
Material editor needs to be aware of modified materials and notify the user about unsaved changes.
TagsNo tags attached.

Relationships

related to 0005573 closedgreebo Research possibilities to let the material declaration parser work with parse trees 
child of 0005572 resolvedgreebo Material Editor 

Activities

There are no notes attached to this issue.

Related Changesets

DarkRadiant: material_save_handling a2d2d72a

2021-03-25 04:08:16

greebo

Details Diff
0005565: Move material-related UI parts to ui/materials Affected Issues
0005565
mod - radiant/CMakeLists.txt Diff File
mod - radiant/ui/materials/MaterialEditor.h Diff File
mod - radiant/ui/mediabrowser/MediaBrowserTreeView.cpp Diff File
mod - radiant/ui/mediabrowser/MediaBrowserTreeView.h Diff File
mod - tools/msvc/DarkRadiant.vcxproj Diff File
mod - tools/msvc/DarkRadiant.vcxproj.filters Diff File

DarkRadiant: material_save_handling 40eaabdc

2021-03-25 04:11:01

greebo

Details Diff
0005565: Move material editor sources to ui/materials/editor/ Affected Issues
0005565
mod - radiant/CMakeLists.txt Diff File
mod - tools/msvc/DarkRadiant.vcxproj Diff File
mod - tools/msvc/DarkRadiant.vcxproj.filters Diff File

DarkRadiant: material_save_handling 9b9c1cbd

2021-03-25 04:26:00

greebo

Details Diff
0005565: Skeleton methods to handle save/discard/cancel functionality when switching to a different material Affected Issues
0005565
mod - radiant/ui/materials/editor/MaterialEditor.cpp Diff File
mod - radiant/ui/materials/editor/MaterialEditor.h Diff File

DarkRadiant: material_save_handling 4a491e4f

2021-03-25 05:11:49

greebo

Details Diff
0005565: Implement Revert changes button Affected Issues
0005565
mod - include/ishaders.h Diff File
mod - install/ui/materialeditor.fbp Diff File
mod - install/ui/materialeditor.xrc Diff File
mod - radiant/ui/materials/editor/MaterialEditor.cpp Diff File
mod - radiant/ui/materials/editor/MaterialEditor.h Diff File
mod - radiantcore/shaders/CShader.cpp Diff File
mod - radiantcore/shaders/CShader.h Diff File

DarkRadiant: material_save_handling 4bedaeb6

2021-03-25 05:47:03

greebo

Details Diff
0005565: Add changed signal to Material class such that OpenGLShader instances are notified automatically Affected Issues
0005565
mod - include/ishaders.h Diff File
mod - radiantcore/rendersystem/backend/OpenGLShader.cpp Diff File
mod - radiantcore/rendersystem/backend/OpenGLShader.h Diff File
mod - radiantcore/shaders/CShader.cpp Diff File
mod - radiantcore/shaders/CShader.h Diff File

DarkRadiant: material_save_handling 74bd3448

2021-03-25 05:53:33

greebo

Details Diff
0005565: MaterialPreview is automatically refreshing its view when the material is changed.
Right now nothing is happening since the signal in CSHader is not emitted by anything.
Affected Issues
0005565
mod - radiant/ui/materials/editor/MaterialEditor.cpp Diff File
mod - radiant/ui/materials/editor/MaterialPreview.cpp Diff File
mod - radiant/ui/materials/editor/MaterialPreview.h Diff File

DarkRadiant: material_save_handling a0db37ef

2021-03-25 06:08:53

greebo

Details Diff
0005565: OpenGLShaders remember their name, to be able to reconstruct themselves without the OpenGLRenderSystem parent having to pass down the name every time.
Remove now unneeded OpenGLShaderRenderSystem::onMaterialChanged interface.
Affected Issues
0005565
mod - include/irender.h Diff File
mod - radiantcore/rendersystem/OpenGLRenderSystem.cpp Diff File
mod - radiantcore/rendersystem/OpenGLRenderSystem.h Diff File
mod - radiantcore/rendersystem/backend/OpenGLShader.cpp Diff File
mod - radiantcore/rendersystem/backend/OpenGLShader.h Diff File

DarkRadiant: material_save_handling 11f7cb9c

2021-03-25 06:20:30

greebo

Details Diff
0005565: Changes to the global material properties are notifying observers Affected Issues
0005565
mod - radiantcore/shaders/CShader.cpp Diff File

DarkRadiant: material_save_handling 276629fb

2021-03-25 07:32:18

greebo

Details Diff
0005565: Move ShaderLayer implementations to cpp file Affected Issues
0005565
mod - radiantcore/shaders/Doom3ShaderLayer.cpp Diff File
mod - radiantcore/shaders/Doom3ShaderLayer.h Diff File
mod - radiantcore/shaders/ShaderTemplate.h Diff File

DarkRadiant: material_save_handling 042010a2

2021-03-25 07:36:48

greebo

Details Diff
0005565: ShaderLayer is notifying the owning template about any change Affected Issues
0005565
mod - radiantcore/shaders/Doom3ShaderLayer.cpp Diff File

DarkRadiant: material_save_handling 407ae621

2021-03-25 07:54:36

greebo

Details Diff
0005565: Template (and layer) changes are propagated to the parent CShader now Affected Issues
0005565
mod - radiantcore/shaders/CShader.cpp Diff File
mod - radiantcore/shaders/CShader.h Diff File
mod - radiantcore/shaders/Doom3ShaderLayer.cpp Diff File
mod - radiantcore/shaders/ShaderTemplate.h Diff File

DarkRadiant: material_save_handling 5aec81f6

2021-03-25 08:04:26

greebo

Details Diff
0005565: Prevent crashes when assigning empty map expressions Affected Issues
0005565
mod - radiantcore/rendersystem/backend/OpenGLShader.cpp Diff File

DarkRadiant: material_save_handling 49f2ecd8

2021-03-25 08:12:46

greebo

Details Diff
0005565: Dialog modality Affected Issues
0005565
mod - radiant/ui/materials/editor/MaterialEditor.cpp Diff File

DarkRadiant: material_save_handling 53ade093

2021-03-25 09:12:29

greebo

Details Diff
0005565: Definition view is updating itself on material change Affected Issues
0005565
mod - radiant/ui/materials/MaterialDefinitionView.cpp Diff File
mod - radiant/ui/materials/MaterialDefinitionView.h Diff File

DarkRadiant: material_save_handling 1e0558a4

2021-03-25 10:01:23

greebo

Details Diff
0005565: Move signal emission code to ShaderTemplate. Affected Issues
0005565
mod - radiantcore/shaders/CShader.cpp Diff File
mod - radiantcore/shaders/ShaderTemplate.cpp Diff File
mod - radiantcore/shaders/ShaderTemplate.h Diff File

DarkRadiant: material_save_handling ae598d54

2021-03-25 10:37:58

greebo

Details Diff
0005565: Add source code generator (stub).
Suppress template change signals during definition parsing.
Affected Issues
0005565
mod - radiant/ui/materials/editor/MaterialEditor.cpp Diff File
mod - radiant/ui/materials/editor/MaterialEditor.h Diff File
mod - radiantcore/CMakeLists.txt Diff File
add - radiantcore/shaders/MaterialSourceGenerator.cpp Diff File
add - radiantcore/shaders/MaterialSourceGenerator.h Diff File
mod - radiantcore/shaders/ShaderTemplate.cpp Diff File
mod - radiantcore/shaders/ShaderTemplate.h Diff File
mod - tools/msvc/DarkRadiantCore.vcxproj Diff File
mod - tools/msvc/DarkRadiantCore.vcxproj.filters Diff File

DarkRadiant: material_save_handling 29494a54

2021-03-25 10:58:27

greebo

Details Diff
0005565: Add first unit test to cover description generation Affected Issues
0005565
mod - test/CMakeLists.txt Diff File
add - test/MaterialExport.cpp Diff File
add - test/resources/tdm/materials/exporttest.mtr Diff File
mod - tools/msvc/Tests/Tests.vcxproj Diff File
mod - tools/msvc/Tests/Tests.vcxproj.filters Diff File

DarkRadiant: material_save_handling 39d250ba

2021-03-25 11:39:03

greebo

Details Diff
0005565: Export polygonOffset Affected Issues
0005565
mod - radiantcore/shaders/MaterialSourceGenerator.cpp Diff File
mod - test/MaterialExport.cpp Diff File

DarkRadiant: material_save_handling 04085819

2021-03-25 11:48:12

greebo

Details Diff
0005565: Export SurfaceType Affected Issues
0005565
mod - radiantcore/shaders/MaterialSourceGenerator.cpp Diff File
mod - test/MaterialExport.cpp Diff File

DarkRadiant: material_save_handling 4564b620

2021-03-25 12:00:07

greebo

Details Diff
0005565: Export simple material flags Affected Issues
0005565
mod - libs/materials/ParseLib.h Diff File
mod - radiantcore/shaders/MaterialSourceGenerator.cpp Diff File
mod - test/MaterialExport.cpp Diff File

DarkRadiant: material_save_handling adaea413

2021-03-25 15:42:43

greebo

Details Diff
0005565: Export ClampType Affected Issues
0005565
mod - radiantcore/shaders/MaterialSourceGenerator.cpp Diff File
mod - test/MaterialExport.cpp Diff File

DarkRadiant: material_save_handling 00f6d07a

2021-03-25 15:46:53

greebo

Details Diff
0005565: Export CullType Affected Issues
0005565
mod - libs/materials/ParseLib.h Diff File
mod - radiantcore/shaders/MaterialSourceGenerator.cpp Diff File
mod - test/MaterialExport.cpp Diff File

DarkRadiant: material_save_handling 04b66399

2021-03-25 15:58:08

greebo

Details Diff
0005565: Export guisurf variants Affected Issues
0005565
mod - radiantcore/shaders/MaterialSourceGenerator.cpp Diff File
mod - test/MaterialExport.cpp Diff File
mod - test/resources/tdm/materials/exporttest.mtr Diff File

DarkRadiant: material_save_handling fec4baa6

2021-03-25 16:27:12

greebo

Details Diff
0005565: Export sort request Affected Issues
0005565
mod - radiantcore/shaders/MaterialSourceGenerator.cpp Diff File
mod - test/MaterialExport.cpp Diff File

DarkRadiant: material_save_handling e0fb7ce4

2021-03-25 16:49:37

greebo

Details Diff
0005565: Export spectrum Affected Issues
0005565
mod - radiantcore/shaders/MaterialSourceGenerator.cpp Diff File
mod - test/MaterialExport.cpp Diff File

DarkRadiant: material_save_handling 2b5faaca

2021-03-25 17:27:00

greebo

Details Diff
0005565: Fix sort value not being set properly on the material Affected Issues
0005565
mod - libs/materials/ParseLib.h Diff File
mod - radiant/ui/materials/editor/MaterialEditor.cpp Diff File

DarkRadiant: material_save_handling 29a9de2b

2021-03-25 17:57:59

greebo

Details Diff
0005565: Export deform variants Affected Issues
0005565
mod - radiantcore/shaders/MaterialSourceGenerator.cpp Diff File
mod - test/MaterialExport.cpp Diff File
mod - test/resources/tdm/materials/exporttest.mtr Diff File

DarkRadiant: material_save_handling d80bbcfd

2021-03-25 18:21:27

greebo

Details Diff
0005565: Export DecalInfo Affected Issues
0005565
mod - radiantcore/shaders/MaterialSourceGenerator.cpp Diff File
mod - test/MaterialExport.cpp Diff File
mod - test/Materials.cpp Diff File
mod - test/resources/tdm/materials/exporttest.mtr Diff File
mod - test/resources/tdm/materials/parsertest.mtr Diff File

DarkRadiant: material_save_handling 3fb802ad

2021-03-25 18:28:58

greebo

Details Diff
0005565: Export renderbump/renderbumpflat Affected Issues
0005565
mod - radiantcore/shaders/CShader.cpp Diff File
mod - radiantcore/shaders/MaterialSourceGenerator.cpp Diff File
mod - radiantcore/shaders/ShaderTemplate.cpp Diff File
mod - radiantcore/shaders/ShaderTemplate.h Diff File
mod - test/MaterialExport.cpp Diff File
mod - test/resources/tdm/materials/exporttest.mtr Diff File

DarkRadiant: material_save_handling af2e0437

2021-03-26 03:50:52

greebo

Details Diff
0005565: Export light-related keywords Affected Issues
0005565
mod - radiantcore/shaders/MaterialSourceGenerator.cpp Diff File
mod - radiantcore/shaders/ShaderTemplate.h Diff File
mod - test/MaterialExport.cpp Diff File

DarkRadiant: material_save_handling 66cb7443

2021-03-26 04:15:55

greebo

Details Diff
0005565: Export surface flags Affected Issues
0005565
mod - libs/materials/ParseLib.h Diff File
mod - radiantcore/shaders/MaterialSourceGenerator.cpp Diff File
mod - test/MaterialExport.cpp Diff File
mod - test/Materials.cpp Diff File
mod - test/resources/tdm/materials/parsertest.mtr Diff File

DarkRadiant: material_save_handling e4f20cdb

2021-03-26 04:20:55

greebo

Details Diff
0005565: Adjust ShaderTemplate to use the parse constants in a loop Affected Issues
0005565
mod - radiantcore/shaders/ShaderTemplate.cpp Diff File

DarkRadiant: material_save_handling 6cd19d68

2021-03-26 04:45:08

greebo

Details Diff
0005565: Export stage blend types, blend func and map Affected Issues
0005565
mod - radiantcore/shaders/MaterialSourceGenerator.cpp Diff File
mod - test/MaterialExport.cpp Diff File

DarkRadiant: material_save_handling 6c6f55ce

2021-03-26 05:07:15

greebo

Details Diff
0005565: Export stage map types Affected Issues
0005565
mod - radiantcore/shaders/MaterialSourceGenerator.cpp Diff File
mod - test/MaterialExport.cpp Diff File

DarkRadiant: material_save_handling bc16ae82

2021-03-26 05:31:56

greebo

Details Diff
0005565: Export texture filter Affected Issues
0005565
mod - radiantcore/shaders/MaterialSourceGenerator.cpp Diff File
mod - test/MaterialExport.cpp Diff File
mod - test/Materials.cpp Diff File
mod - test/resources/tdm/materials/parsertest.mtr Diff File

DarkRadiant: material_save_handling b2326847

2021-03-26 05:46:38

greebo

Details Diff
0005565: Export texture quality flags Affected Issues
0005565
mod - radiantcore/shaders/MaterialSourceGenerator.cpp Diff File
mod - test/MaterialExport.cpp Diff File
mod - test/Materials.cpp Diff File
mod - test/resources/tdm/materials/parsertest.mtr Diff File

DarkRadiant: material_save_handling 26e9fab5

2021-03-26 05:58:26

greebo

Details Diff
0005565: Export texgen variants Affected Issues
0005565
mod - radiantcore/shaders/MaterialSourceGenerator.cpp Diff File
mod - test/MaterialExport.cpp Diff File
mod - test/Materials.cpp Diff File
mod - test/resources/tdm/materials/parsertest.mtr Diff File

DarkRadiant: material_save_handling 40db528a

2021-03-26 06:18:27

greebo

Details Diff
0005565: Export stage clamp type, which might override a material clamp type Affected Issues
0005565
mod - radiantcore/shaders/Doom3ShaderLayer.cpp Diff File
mod - radiantcore/shaders/Doom3ShaderLayer.h Diff File
mod - radiantcore/shaders/MaterialSourceGenerator.cpp Diff File
mod - test/MaterialExport.cpp Diff File
mod - test/Materials.cpp Diff File
mod - test/resources/tdm/materials/parsertest.mtr Diff File

DarkRadiant: material_save_handling 0e0877b0

2021-03-26 06:53:18

greebo

Details Diff
0005565: Export stage flags like maskColor, etc. Affected Issues
0005565
mod - radiantcore/shaders/MaterialSourceGenerator.cpp Diff File
mod - test/MaterialExport.cpp Diff File
mod - test/Materials.cpp Diff File
mod - test/resources/tdm/materials/parsertest.mtr Diff File

DarkRadiant: material_save_handling aee7ac8c

2021-03-26 07:49:12

greebo

Details Diff
0005565: Colour expression selector by component is now considering equivalent expressions, by their string representation.
More unit test cases.
Affected Issues
0005565
mod - radiantcore/shaders/Doom3ShaderLayer.cpp Diff File
mod - radiantcore/shaders/ExpressionSlots.cpp Diff File
mod - radiantcore/shaders/ExpressionSlots.h Diff File
mod - test/Materials.cpp Diff File
mod - test/resources/tdm/materials/parsertest.mtr Diff File

DarkRadiant: material_save_handling 49cc8c89

2021-03-26 07:56:52

greebo

Details Diff
0005565: Vertex colour unit tests Affected Issues
0005565
mod - test/Materials.cpp Diff File
mod - test/resources/tdm/materials/parsertest.mtr Diff File

DarkRadiant: material_save_handling 9c2f6127

2021-03-26 08:27:33

greebo

Details Diff
0005565: Unit tests covering the vertex colour export Affected Issues
0005565
mod - test/MaterialExport.cpp Diff File

DarkRadiant: material_save_handling 58a32a90

2021-03-26 08:56:18

greebo

Details Diff
0005565: Implement the RGBA vertex colour export. Some refactoring in the unit test department. Affected Issues
0005565
mod - radiantcore/shaders/MaterialSourceGenerator.cpp Diff File
mod - test/MaterialExport.cpp Diff File

DarkRadiant: material_save_handling ff4b1192

2021-03-26 09:03:54

greebo

Details Diff
0005565: Export private polygon offset Affected Issues
0005565
mod - radiantcore/shaders/MaterialSourceGenerator.cpp Diff File
mod - test/MaterialExport.cpp Diff File
mod - test/Materials.cpp Diff File
mod - test/resources/tdm/materials/parsertest.mtr Diff File

DarkRadiant: material_save_handling c7eba3ad

2021-03-26 09:24:36

greebo

Details Diff
0005565: Export stage transforms Affected Issues
0005565
mod - radiantcore/shaders/MaterialSourceGenerator.cpp Diff File
mod - test/MaterialExport.cpp Diff File

DarkRadiant: material_save_handling 3ae66b74

2021-03-26 09:31:20

greebo

Details Diff
0005565: Export alphatest Affected Issues
0005565
mod - radiantcore/shaders/MaterialSourceGenerator.cpp Diff File
mod - test/MaterialExport.cpp Diff File
mod - test/Materials.cpp Diff File
mod - test/resources/tdm/materials/parsertest.mtr Diff File

DarkRadiant: material_save_handling d459f81e

2021-03-26 09:43:12

greebo

Details Diff
0005565: Export condition expression Affected Issues
0005565
mod - radiantcore/shaders/Doom3ShaderLayer.cpp Diff File
mod - radiantcore/shaders/MaterialSourceGenerator.cpp Diff File
mod - test/MaterialExport.cpp Diff File
mod - test/Materials.cpp Diff File
mod - test/resources/tdm/materials/parsertest.mtr Diff File

DarkRadiant: material_save_handling 873fb185

2021-03-26 12:17:06

greebo

Details Diff
0005565: Export vertexProgram + parms Affected Issues
0005565
mod - radiantcore/shaders/MaterialSourceGenerator.cpp Diff File
mod - test/MaterialExport.cpp Diff File

DarkRadiant: material_save_handling 444be05e

2021-03-26 14:58:04

greebo

Details Diff
0005565: Export fragment program and maps Affected Issues
0005565
mod - radiantcore/shaders/MaterialSourceGenerator.cpp Diff File
mod - test/MaterialExport.cpp Diff File

DarkRadiant: material_save_handling 51ac2ff6

2021-03-26 15:42:40

greebo

Details Diff
0005565: Start working on getting qer_editorimage manipulatable at runtime Affected Issues
0005565
mod - include/ishaders.h Diff File
mod - install/ui/materialeditor.fbp Diff File
mod - install/ui/materialeditor.xrc Diff File
mod - radiantcore/shaders/CShader.cpp Diff File
mod - radiantcore/shaders/CShader.h Diff File
mod - radiantcore/shaders/ShaderTemplate.cpp Diff File
mod - radiantcore/shaders/ShaderTemplate.h Diff File

DarkRadiant: material_save_handling 7d0aeafd

2021-03-26 15:45:57

greebo

Details Diff
0005565: Bind editor image controls Affected Issues
0005565
mod - radiant/ui/materials/editor/MaterialEditor.cpp Diff File
mod - radiantcore/shaders/CShader.cpp Diff File

DarkRadiant: material_save_handling 84986ba9

2021-03-26 15:56:30

greebo

Details Diff
0005565: Export qer_editorimage Affected Issues
0005565
mod - radiantcore/shaders/MaterialSourceGenerator.cpp Diff File
mod - radiantcore/shaders/ShaderTemplate.cpp Diff File
mod - test/MaterialExport.cpp Diff File

DarkRadiant: material_save_handling 112972d4

2021-03-26 16:10:17

greebo

Details Diff
0005565: Export ambientRimColour, and store the expressions beforehand Affected Issues
0005565
mod - radiantcore/shaders/MaterialSourceGenerator.cpp Diff File
mod - radiantcore/shaders/ShaderTemplate.cpp Diff File
mod - radiantcore/shaders/ShaderTemplate.h Diff File
mod - test/MaterialExport.cpp Diff File

DarkRadiant: material_save_handling 909f950f

2021-03-27 05:11:56

greebo

Details Diff
0005565: Use blend shortcuts (diffusemap, bumpmap, specularmap) if possible Affected Issues
0005565
mod - install/ui/materialeditor.fbp Diff File
mod - install/ui/materialeditor.xrc Diff File
mod - radiantcore/shaders/MaterialSourceGenerator.cpp Diff File
mod - test/MaterialExport.cpp Diff File

DarkRadiant: material_save_handling 6b4f50e4

2021-03-27 06:10:10

greebo

Details Diff
0005565: A material cannot be saved if it's defined in a .mtr file in a PAK. Affected Issues
0005565
mod - include/ishaders.h Diff File
mod - install/ui/materialeditor.fbp Diff File
mod - install/ui/materialeditor.xrc Diff File
mod - radiant/ui/materials/editor/MaterialEditor.cpp Diff File
mod - radiant/ui/materials/editor/MaterialEditor.h Diff File
mod - radiantcore/shaders/Doom3ShaderSystem.cpp Diff File
mod - radiantcore/shaders/Doom3ShaderSystem.h Diff File

DarkRadiant: material_save_handling e4239357

2021-03-27 09:10:17

greebo

Details Diff
0005565: Highlight modified materials in the tree view. Affected Issues
0005565
mod - libs/wxutil/dataview/TreeViewItemStyle.h Diff File
mod - radiant/ui/materials/editor/MaterialEditor.cpp Diff File
mod - radiant/ui/materials/editor/MaterialEditor.h Diff File
mod - radiantcore/shaders/Doom3ShaderSystem.cpp Diff File

DarkRadiant: material_save_handling 4e9a4cdb

2021-03-27 16:52:24

greebo

Details Diff
0005565: Add new methods to MaterialManager to create/rename/remove materials.
Add signals for each of these operations.
Add unit test cases.
Affected Issues
0005565
mod - include/ishaders.h Diff File
mod - radiantcore/shaders/Doom3ShaderSystem.cpp Diff File
mod - radiantcore/shaders/Doom3ShaderSystem.h Diff File
mod - radiantcore/shaders/ShaderLibrary.cpp Diff File
mod - radiantcore/shaders/ShaderLibrary.h Diff File
mod - test/Materials.cpp Diff File

DarkRadiant: material_save_handling b9032176

2021-03-27 17:14:01

greebo

Details Diff
0005565: Better material renaming implementation, more thorough unit tests.
Mark new materials as modified right from the start.
Affected Issues
0005565
mod - radiantcore/shaders/CShader.cpp Diff File
mod - radiantcore/shaders/CShader.h Diff File
mod - radiantcore/shaders/Doom3ShaderSystem.cpp Diff File
mod - radiantcore/shaders/ShaderLibrary.cpp Diff File
mod - test/Materials.cpp Diff File

DarkRadiant: material_save_handling c52928d3

2021-03-27 17:38:22

greebo

Details Diff
0005565: Attempt at keeping the material tree view up to date when a materials get added, removed or renamed. Not quite working yet. Affected Issues
0005565
mod - radiant/ui/materials/MaterialPopulator.cpp Diff File
mod - radiant/ui/materials/MaterialPopulator.h Diff File
mod - radiant/ui/materials/MaterialTreeView.cpp Diff File
mod - radiant/ui/materials/MaterialTreeView.h Diff File
mod - radiant/ui/materials/editor/MaterialEditor.cpp Diff File
mod - radiantcore/shaders/Doom3ShaderSystem.cpp Diff File

DarkRadiant: material_save_handling e30d5876

2021-03-28 04:54:38

greebo

Details Diff
0005565: Extend MaterialPopulator to be able to sort items into the tree after population. Affected Issues
0005565
mod - radiant/ui/materials/MaterialPopulator.cpp Diff File

DarkRadiant: material_save_handling d989e429

2021-03-28 05:18:18

greebo

Details Diff
0005565: WIP commit, working on "New Material" functionality Affected Issues
0005565
mod - install/ui/materialeditor.fbp Diff File
mod - install/ui/materialeditor.xrc Diff File
mod - radiant/ui/materials/MaterialPopulator.cpp Diff File
mod - radiant/ui/materials/editor/MaterialEditor.cpp Diff File
mod - radiant/ui/materials/editor/MaterialEditor.h Diff File

DarkRadiant: material_save_handling 9007cdce

2021-03-28 06:41:37

greebo

Details Diff
0005565: Improve algorithm for adding/removing items Affected Issues
0005565
mod - radiant/ui/materials/MaterialPopulator.cpp Diff File

DarkRadiant: material_save_handling 0e8ea394

2021-03-28 06:55:56

greebo

Details Diff
0005565: More insert/remove algorithm improvements. Rename buttons for clarity. Affected Issues
0005565
mod - install/ui/materialeditor.fbp Diff File
mod - install/ui/materialeditor.xrc Diff File
mod - radiant/ui/materials/MaterialPopulator.cpp Diff File
mod - radiant/ui/materials/editor/MaterialEditor.cpp Diff File

DarkRadiant: material_save_handling a127ea41

2021-03-28 07:15:27

greebo

Details Diff
0005565: More robust renaming algorithm in ShaderLibrary Affected Issues
0005565
mod - radiant/ui/materials/editor/MaterialEditor.cpp Diff File
mod - radiantcore/rendersystem/backend/OpenGLShader.cpp Diff File
mod - radiantcore/shaders/ShaderLibrary.cpp Diff File

DarkRadiant: material_save_handling 21755297

2021-03-28 09:51:50

greebo

Details Diff
0005565: Prompt the user for every modified material on closing the dialog Affected Issues
0005565
mod - radiant/ui/materials/editor/MaterialEditor.cpp Diff File
mod - radiant/ui/materials/editor/MaterialEditor.h Diff File

DarkRadiant: material_save_handling 15fb1928

2021-03-28 10:14:41

greebo

Details Diff
0005565: Discarding unsaved materials means to remove them again. Affected Issues
0005565
mod - install/ui/materialeditor.fbp Diff File
mod - install/ui/materialeditor.xrc Diff File
mod - radiant/ui/materials/editor/MaterialEditor.cpp Diff File

DarkRadiant: material_save_handling efc834b7

2021-03-28 12:45:31

greebo

Details Diff
0005565: Lock editing controls for PK4-defined materials. Add a control to quickyl create a copy of it to enable editing. Affected Issues
0005565
mod - include/ishaders.h Diff File
mod - install/ui/materialeditor.fbp Diff File
mod - install/ui/materialeditor.xrc Diff File
mod - radiant/ui/materials/editor/MaterialEditor.cpp Diff File
mod - radiant/ui/materials/editor/MaterialEditor.h Diff File

DarkRadiant: material_save_handling cd3ef824

2021-03-28 13:07:08

greebo

Details Diff
0005565: Implement copy/unlock functions + unit tests Affected Issues
0005565
mod - radiant/ui/materials/editor/MaterialEditor.cpp Diff File
mod - radiant/ui/materials/editor/MaterialEditor.h Diff File
mod - radiantcore/shaders/Doom3ShaderSystem.cpp Diff File
mod - radiantcore/shaders/Doom3ShaderSystem.h Diff File
mod - radiantcore/shaders/ShaderLibrary.cpp Diff File
mod - radiantcore/shaders/ShaderLibrary.h Diff File
mod - test/Materials.cpp Diff File

DarkRadiant: material_save_handling e36e9b71

2021-03-28 13:27:55

greebo

Details Diff
0005565: Ask user where to save the copied or newly created material Affected Issues
0005565
mod - include/ishaders.h Diff File
mod - radiant/ui/materials/editor/MaterialEditor.cpp Diff File
mod - radiantcore/shaders/CShader.cpp Diff File
mod - radiantcore/shaders/CShader.h Diff File
mod - radiantcore/shaders/Doom3ShaderSystem.cpp Diff File
mod - test/Materials.cpp Diff File

DarkRadiant: material_save_handling 2481e991

2021-03-28 13:38:01

greebo

Details Diff
0005565: Add stub saveMaterial method Affected Issues
0005565
mod - include/ishaders.h Diff File
mod - radiant/ui/materials/editor/MaterialEditor.cpp Diff File
mod - radiantcore/shaders/Doom3ShaderSystem.cpp Diff File
mod - radiantcore/shaders/Doom3ShaderSystem.h Diff File

DarkRadiant: material_save_handling 6daa2040

2021-03-28 15:37:43

greebo

Details Diff
0005565: Add TemporaryOutputStream helper object taking care of all the temp file handling, renaming and overwriting. Affected Issues
0005565
add - libs/stream/TemporaryOutputStream.h Diff File
mod - radiant/ui/materials/editor/MaterialEditor.cpp Diff File
mod - radiantcore/particles/ParticlesManager.cpp Diff File
mod - radiantcore/shaders/Doom3ShaderSystem.cpp Diff File
mod - tools/msvc/libs.vcxproj Diff File
mod - tools/msvc/libs.vcxproj.filters Diff File

DarkRadiant: material_save_handling 3056efd3

2021-03-28 16:07:25

greebo

Details Diff
0005565: Lots of refactoring and moving stuff from the particle export algorithm to libs/, to be re-used by the MaterialManager. Affected Issues
0005565
add - libs/decl/SpliceHelper.h Diff File
mod - libs/stream/TemporaryOutputStream.h Diff File
mod - radiantcore/particles/ParticlesManager.cpp Diff File
mod - radiantcore/shaders/Doom3ShaderSystem.cpp Diff File
mod - radiantcore/shaders/MaterialSourceGenerator.cpp Diff File
mod - radiantcore/shaders/MaterialSourceGenerator.h Diff File
mod - tools/msvc/libs.vcxproj Diff File
mod - tools/msvc/libs.vcxproj.filters Diff File

DarkRadiant: material_save_handling efcebd89

2021-03-28 16:57:48

greebo

Details Diff
0005565: Start ramping up the unit tests checking the exporting/splicing Affected Issues
0005565
mod - libs/decl/SpliceHelper.h Diff File
mod - test/MaterialExport.cpp Diff File
mod - test/resources/tdm/materials/exporttest.mtr Diff File

DarkRadiant: material_save_handling 9efd76f8

2021-03-28 17:57:21

greebo

Details Diff
0005565: Fall back to the user engine path if the mod path is empty (which is also the case in the unit test scenario).
More work on the unit tests.
Affected Issues
0005565
mod - libs/materials/ParseLib.h Diff File
mod - radiantcore/shaders/Doom3ShaderSystem.cpp Diff File
mod - radiantcore/shaders/MaterialSourceGenerator.cpp Diff File
mod - test/MaterialExport.cpp Diff File

DarkRadiant: material_save_handling 5b3cc2cd

2021-03-28 18:15:45

greebo

Details Diff
0005565: Unit tests roughly working Affected Issues
0005565
mod - radiantcore/shaders/CShader.cpp Diff File
mod - test/MaterialExport.cpp Diff File

DarkRadiant: material_save_handling d9ac8bbe

2021-03-28 18:39:36

greebo

Details Diff
0005565: Un-mark the material as modified after saving Affected Issues
0005565
mod - radiantcore/shaders/CShader.cpp Diff File
mod - radiantcore/shaders/CShader.h Diff File
mod - radiantcore/shaders/Doom3ShaderSystem.cpp Diff File
mod - radiantcore/shaders/ShaderLibrary.cpp Diff File
mod - radiantcore/shaders/ShaderLibrary.h Diff File
mod - test/MaterialExport.cpp Diff File

DarkRadiant: material_save_handling c87c44d6

2021-03-28 19:02:44

greebo

Details Diff
0005565: Fix a couple of change-tracking bugs Affected Issues
0005565
mod - radiant/ui/materials/editor/MaterialEditor.cpp Diff File
mod - radiantcore/shaders/Doom3ShaderLayer.cpp Diff File
mod - radiantcore/shaders/MaterialSourceGenerator.cpp Diff File

DarkRadiant: material_save_handling da58afd3

2021-03-28 19:10:00

greebo

Details Diff
0005565: Some tweaking Affected Issues
0005565
mod - install/ui/materialeditor.fbp Diff File
mod - install/ui/materialeditor.xrc Diff File
mod - radiant/ui/materials/editor/MaterialEditor.cpp Diff File

DarkRadiant: master 7bf276c5

2021-03-29 03:44:16

greebo

Details Diff
0005565: Linux build fixes Affected Issues
0005565
mod - radiantcore/shaders/MaterialSourceGenerator.h Diff File
mod - radiantcore/shaders/ShaderTemplate.cpp Diff File

Issue History

Date Modified Username Field Change
22.03.2021 11:02 greebo New Issue
22.03.2021 11:02 greebo Relationship added child of 0005532
22.03.2021 11:02 greebo Assigned To => greebo
22.03.2021 11:02 greebo Status new => confirmed
23.03.2021 07:01 greebo Relationship added child of 0005572
23.03.2021 07:01 greebo Relationship deleted child of 0005532
24.03.2021 10:02 greebo Relationship added related to 0005573
25.03.2021 04:25 greebo Status confirmed => assigned
25.03.2021 08:13 greebo Changeset attached => DarkRadiant material_save_handling a2d2d72a
25.03.2021 08:13 greebo Changeset attached => DarkRadiant material_save_handling 40eaabdc
25.03.2021 08:13 greebo Changeset attached => DarkRadiant material_save_handling 9b9c1cbd
25.03.2021 08:13 greebo Changeset attached => DarkRadiant material_save_handling 4a491e4f
25.03.2021 08:13 greebo Changeset attached => DarkRadiant material_save_handling 4bedaeb6
25.03.2021 08:13 greebo Changeset attached => DarkRadiant material_save_handling 74bd3448
25.03.2021 08:13 greebo Changeset attached => DarkRadiant material_save_handling a0db37ef
25.03.2021 08:13 greebo Changeset attached => DarkRadiant material_save_handling 11f7cb9c
25.03.2021 08:13 greebo Changeset attached => DarkRadiant material_save_handling 276629fb
25.03.2021 08:13 greebo Changeset attached => DarkRadiant material_save_handling 042010a2
25.03.2021 08:13 greebo Changeset attached => DarkRadiant material_save_handling 407ae621
25.03.2021 08:13 greebo Changeset attached => DarkRadiant material_save_handling 5aec81f6
25.03.2021 08:13 greebo Changeset attached => DarkRadiant material_save_handling 49f2ecd8
25.03.2021 12:02 greebo Changeset attached => DarkRadiant material_save_handling 53ade093
25.03.2021 12:02 greebo Changeset attached => DarkRadiant material_save_handling 1e0558a4
25.03.2021 12:02 greebo Changeset attached => DarkRadiant material_save_handling ae598d54
25.03.2021 12:02 greebo Changeset attached => DarkRadiant material_save_handling 29494a54
25.03.2021 12:02 greebo Changeset attached => DarkRadiant material_save_handling 39d250ba
25.03.2021 12:02 greebo Changeset attached => DarkRadiant material_save_handling 04085819
25.03.2021 12:02 greebo Changeset attached => DarkRadiant material_save_handling 4564b620
25.03.2021 18:31 greebo Changeset attached => DarkRadiant material_save_handling adaea413
25.03.2021 18:31 greebo Changeset attached => DarkRadiant material_save_handling 00f6d07a
25.03.2021 18:31 greebo Changeset attached => DarkRadiant material_save_handling 04b66399
25.03.2021 18:31 greebo Changeset attached => DarkRadiant material_save_handling fec4baa6
25.03.2021 18:31 greebo Changeset attached => DarkRadiant material_save_handling e0fb7ce4
25.03.2021 18:31 greebo Changeset attached => DarkRadiant material_save_handling 2b5faaca
25.03.2021 18:31 greebo Changeset attached => DarkRadiant material_save_handling 29a9de2b
25.03.2021 18:31 greebo Changeset attached => DarkRadiant material_save_handling d80bbcfd
25.03.2021 18:31 greebo Changeset attached => DarkRadiant material_save_handling 3fb802ad
26.03.2021 09:54 greebo Changeset attached => DarkRadiant material_save_handling af2e0437
26.03.2021 09:54 greebo Changeset attached => DarkRadiant material_save_handling 66cb7443
26.03.2021 09:54 greebo Changeset attached => DarkRadiant material_save_handling e4f20cdb
26.03.2021 09:54 greebo Changeset attached => DarkRadiant material_save_handling 6cd19d68
26.03.2021 09:54 greebo Changeset attached => DarkRadiant material_save_handling 6c6f55ce
26.03.2021 09:54 greebo Changeset attached => DarkRadiant material_save_handling bc16ae82
26.03.2021 09:54 greebo Changeset attached => DarkRadiant material_save_handling b2326847
26.03.2021 09:54 greebo Changeset attached => DarkRadiant material_save_handling 26e9fab5
26.03.2021 09:54 greebo Changeset attached => DarkRadiant material_save_handling 40db528a
26.03.2021 09:54 greebo Changeset attached => DarkRadiant material_save_handling 0e0877b0
26.03.2021 09:54 greebo Changeset attached => DarkRadiant material_save_handling aee7ac8c
26.03.2021 09:54 greebo Changeset attached => DarkRadiant material_save_handling 49cc8c89
26.03.2021 09:54 greebo Changeset attached => DarkRadiant material_save_handling 9c2f6127
26.03.2021 09:54 greebo Changeset attached => DarkRadiant material_save_handling 58a32a90
26.03.2021 09:54 greebo Changeset attached => DarkRadiant material_save_handling ff4b1192
26.03.2021 09:54 greebo Changeset attached => DarkRadiant material_save_handling c7eba3ad
26.03.2021 09:54 greebo Changeset attached => DarkRadiant material_save_handling 3ae66b74
26.03.2021 09:54 greebo Changeset attached => DarkRadiant material_save_handling d459f81e
27.03.2021 05:12 greebo Changeset attached => DarkRadiant material_save_handling 873fb185
27.03.2021 05:12 greebo Changeset attached => DarkRadiant material_save_handling 444be05e
27.03.2021 05:12 greebo Changeset attached => DarkRadiant material_save_handling 51ac2ff6
27.03.2021 05:12 greebo Changeset attached => DarkRadiant material_save_handling 7d0aeafd
27.03.2021 05:12 greebo Changeset attached => DarkRadiant material_save_handling 84986ba9
27.03.2021 05:12 greebo Changeset attached => DarkRadiant material_save_handling 112972d4
27.03.2021 05:12 greebo Changeset attached => DarkRadiant material_save_handling 909f950f
28.03.2021 19:11 greebo Status assigned => resolved
28.03.2021 19:11 greebo Resolution open => fixed
28.03.2021 19:11 greebo Fixed in Version => 2.12.0
28.03.2021 19:45 greebo Changeset attached => DarkRadiant material_save_handling 6b4f50e4
28.03.2021 19:45 greebo Changeset attached => DarkRadiant material_save_handling e4239357
28.03.2021 19:45 greebo Changeset attached => DarkRadiant material_save_handling 4e9a4cdb
28.03.2021 19:45 greebo Changeset attached => DarkRadiant material_save_handling b9032176
28.03.2021 19:45 greebo Changeset attached => DarkRadiant material_save_handling c52928d3
28.03.2021 19:45 greebo Changeset attached => DarkRadiant material_save_handling e30d5876
28.03.2021 19:45 greebo Changeset attached => DarkRadiant material_save_handling d989e429
28.03.2021 19:45 greebo Changeset attached => DarkRadiant material_save_handling 9007cdce
28.03.2021 19:45 greebo Changeset attached => DarkRadiant material_save_handling 0e8ea394
28.03.2021 19:45 greebo Changeset attached => DarkRadiant material_save_handling a127ea41
28.03.2021 19:45 greebo Changeset attached => DarkRadiant material_save_handling 21755297
28.03.2021 19:45 greebo Changeset attached => DarkRadiant material_save_handling 15fb1928
28.03.2021 19:45 greebo Changeset attached => DarkRadiant material_save_handling efc834b7
28.03.2021 19:45 greebo Changeset attached => DarkRadiant material_save_handling cd3ef824
28.03.2021 19:45 greebo Changeset attached => DarkRadiant material_save_handling e36e9b71
28.03.2021 19:45 greebo Changeset attached => DarkRadiant material_save_handling 2481e991
28.03.2021 19:45 greebo Changeset attached => DarkRadiant material_save_handling 6daa2040
28.03.2021 19:45 greebo Changeset attached => DarkRadiant material_save_handling 3056efd3
28.03.2021 19:45 greebo Changeset attached => DarkRadiant material_save_handling efcebd89
28.03.2021 19:45 greebo Changeset attached => DarkRadiant material_save_handling 9efd76f8
28.03.2021 19:45 greebo Changeset attached => DarkRadiant material_save_handling 5b3cc2cd
28.03.2021 19:45 greebo Changeset attached => DarkRadiant material_save_handling d9ac8bbe
28.03.2021 19:45 greebo Changeset attached => DarkRadiant material_save_handling c87c44d6
28.03.2021 19:45 greebo Changeset attached => DarkRadiant material_save_handling da58afd3
29.03.2021 04:01 greebo Changeset attached => DarkRadiant master 7bf276c5